### Property

# Ide Buffer:state

#### Declaration

    property state: Ide.BufferState [ read ]

#### Description

The “state” property can be used to determine if the buffer is currently performing any specific background work, such as loading from or saving a buffer to storage.

Type: | `IdeBufferState`
Available since: | 3.32

Getter method | `ide_buffer_get_state()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no